Ticket #41426

fresh-afterオフ時のターゲットの挙動がおかしい

Open Date: 2021-02-02 17:45 Last Update: 2021-02-07 21:08

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

フォーラム 変愚蛮怒3.0.0Alpha開発フォーラム [#86912] からの引用

[forum: 86912]

もう何年も楽しく遊んでおります。 ver3.0.0正式リリースを楽しみにしております。 hengband-3.0alpha4-jpにて、マクロでモンスターを狙う際の挙動が旧ヴァージョンと異なる挙動を致しました。 旧ヴァージョンでマクロにてtabキーに\e\e\ef1*、矢に銘で@f1=gと刻みモンスターを狙う際、 *キーを押した場合は射線が通るモンスターのみを標的にしようとし、直接狙えるモンスターが居ない場合はいくら*キーを押してもターゲットが動きませんでした。 hengband-3.0alpha4-jpで上記マクロを用いて*キーを押してモンスターを狙うと、 直接狙えないモンスターやドアや床に落ちているアイテムをターゲットにするような挙動となっております。 なお、マクロを介さず、fキー→1キー→*キーの順に押すとモンスターのみを標的とする旧来通りの挙動をしておりました。 losトリックをする際の挙動が顕著に異なっていて当惑しております。 ぜひ検証して頂ければ幸いです。

再現を確認しました。調査に入ります。

Ticket History (3/4 Histories)

2021-02-02 17:45 Updated by: dis-
  • New Ticket "fresh-afterオフ時のターゲットの挙動がおかしい" created
2021-02-02 18:53 Updated by: dis-
Comment

feature/Fix-Term-Freshにて修正しました。確認お願いします。

2021-02-04 00:52 Updated by: deskull
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

症状と修正を確認できました。完了とします。

2021-02-07 21:08 Updated by: deskull
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits/d8f23ec83d9a676576346048ec3baf5e88fecd6d

本件の追加修正事項と判断してマージしました。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login